=== debian/changelog ===
flashproxy (1.7-4) unstable; urgency=medium

  * Actually make the documentation build reproducibly.
  * Use the recently-decided standard variable SOURCE_DATE_EPOCH.

 -- Ximin Luo <infinity0@pwned.gg>  Wed, 17 Jun 2015 20:35:57 +0200

flashproxy (1.7-3) unstable; urgency=medium

  * Fix Vcs links.
  * Make the documentation build reproducibly.

 -- Ximin Luo <infinity0@pwned.gg>  Mon, 30 Mar 2015 22:03:21 +0200

flashproxy (1.7-2) unstable; urgency=medium

  * Fix build for slower machines. (Closes: #765156)
  * Update to latest Standards-Version. No changes required.
  * Run overlooked proxy tests in debian/rules.

 -- Ximin Luo <infinity0@pwned.gg>  Wed, 05 Nov 2014 17:19:56 +0000

flashproxy (1.7-1) unstable; urgency=low

  * Initial release. (Closes: #721845)

 -- Ximin Luo <infinity0@pwned.gg>  Wed, 06 Aug 2014 01:36:31 +0100
