=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
  https://people.torproject.org/~dcf/flashproxy/flashproxy-(\d.+)\.tar\.gz
